Page MenuHomePhabricator

Meaningless group selector on Special:SearchTranslations
Closed, ResolvedPublic

Description

  1. Visit https://translatewiki.net/wiki/Special:SearchTranslations
  2. Search anything
  3. Select any group of aggregate groups of aggregate groups, e.g. MediaWiki (ignore bug 47919)
  4. Select a sub-group
  5. Click "X other groups"

I. Expected: the other groups with search results are shown and can be selected, in order to filter the search results.

II. Observed: the standard group selector is opened with the full list of top groups (and the arrow pointing at the top). Subgroups are not shown, can't be listed from their parent groups and can't be searched by name. If you select your group you're sent back to step (3).

See attachment 13084.


Version: master
Severity: normal
Whiteboard: leteam?
URL: https://translatewiki.net/w/i.php?title=Special:SearchTranslations&query=wiki&group=ext-0-all&grouppath=mediawiki|ext-0-all

Details

Reference
bz52703

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz52703.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Aug 10 2013, 1:48 PM
Nikerabbit lowered the priority of this task from High to Lowest.
Nikerabbit raised the priority of this task from Lowest to Normal.Jan 28 2015, 5:47 AM

Change 195560 had a related patch set uploaded (by Phoenix303):
Fixed group selector on Special:SearchTranslations

https://gerrit.wikimedia.org/r/195560

Change 195560 merged by jenkins-bot:
Load the other groups with search results in the group selector.

https://gerrit.wikimedia.org/r/195560

Nemo_bis edited projects, added Translation-search; removed Patch-For-Review.
Nemo_bis set Security to None.

The patches were merged but the issue doesn't seem fixed: I'm still unable to filter by a subgroup.

  1. https://translatewiki.net/w/i.php?title=Special%3ASearchTranslations&query=edit : results from most groups, I can click the ellipsis and groups such as "MediaWiki extensions" are listed [this was the change above]
  2. I click one of the messages with subgroups and the language selector seems to load the list of subgroups, but https://translatewiki.net/w/i.php?title=Special:SearchTranslations&query=edit&group=mediawiki is loaded, the selector closes and I have no way to proceed
  3. Select one of the subgroups in step (2): same result https://translatewiki.net/w/i.php?title=Special:SearchTranslations&query=edit&group=ext-0-all (I'd like to proceed to another extension)
  4. Search something with results from just one aggregate group: no selector accessible at all and only one facet, I can't proceed either https://translatewiki.net/w/i.php?title=Special%3ASearchTranslations&query=mwoauth

@Nemo_bis: This patch only solves the problem to list the groups with results. Previously, on click "x other group", it would list all the groups (including groups do not have any result).
This patch excludes groups do not have any result.
I have filed another task T97961: The translator cannot reach subgroups after clicking on any group for the issue "Unable to filter by a subgroup"

Nemo_bis closed this task as Resolved.May 25 2015, 11:17 AM

Ok, let's continue there.